Accelerate Transaction

Send a new transaction to accelerate the targeted unconfirmed transaction either by using Child-Pays-For-Parent (CPFP) or Replace-By-Fee (RBF).

Background:

  1. In Bitcoin, a transaction can only be included in a block when all its inputs are confirmed. This requirement can be used to increase the effective fee rate of a stuck low-fee transaction. One of the stuck transaction's outputs is spent in a child transaction with a much higher fee. Miners include the transactions with the highest fees first to maximize their revenue, but the high-fee child transaction can only be included once the parent transaction is confirmed. The miners are therefore incentivized to include both the parent and the child transaction together in a block. A Child-Pays-For-Parent transaction can be created by a recipient of the transaction or by the sender if the target transaction has a change output.
  2. In Bitcoin, a transaction can be replaced by a new transaction with a higher fee as long as the new transaction spends few or all of the same inputs used by the original transaction that's being replaced. Unlike CPFP, only the sender of the transaction can create a Replace-By-Fee transaction, and only either of the transactions can be confirmed. More often than not, the replacement transaction with the higher fee will be accepted by the miners.

Notes:

  1. As other coins do not have a blockspace market, this route is only available for Bitcoin at this time.
  2. Using CPFP, if a target transaction depends on other unconfirmed transactions, this route also adds sufficient fees to elevate the entire transaction ancestry's effective fee rate to the cpfpFeeRate.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

This route is only available for Bitcoin.

Allowed:
string
required

The wallet ID.

Body Params
cpfpTxIds
array of objects

txids of the transactions to bump

Notes: Each target unconfirmed transaction must be sending funds to the calling wallet. Accepts only a single txid at this stage.

cpfpTxIds
integer

Desired effective feerate of the bumped transactions and the CPFP transaction in satoshi per kilobyte

integer

Maximum allowed fee for the CPFP transaction in satoshi

Note: A CPFP transaction accelerates the target transactions and all of the unconfirmed transactions the target transactions depends on. As it can be difficult to discern the complete transaction ancestry at times, we recommend limiting the total fee for each CPFP attempt as a safety net to prevent CPFP transactions that exceed your cost expectations.

rbfTxIds
array of strings

The list of transactions to accelerate using Replace-By-Fee (RBF) for UTXO coins (currently accelerating only one tx is supported).

rbfTxIds
number
≥ 1

(UTXO only) Custom multiplier to the feeRate. The resulting fee rate is limited by the maxFeeRate. For replace-by-fee (RBF) transactions (that include rbfTxIds), the feeMultiplier must be greater than 1, since it's an absolute fee multiplier to the transaction being replaced.

Note: The maxFeeRate limits the fee rate generated by feeMultiplier.

string

(Hot wallet only) Passphrase to decrypt the user key on the wallet to sign the transaction.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json